import rhythmdb, rb
import gobject, gtk

class JumpToPlaying(rb.Plugin):

    def __init__(self):
        rb.Plugin.__init__(self)
            
    def activate(self, shell):
        action = gtk.Action("ControlStop", "Stop",
                            "Stop playback",
                            gtk.STOCK_MEDIA_STOP);
        action.connect("activate", self.button_pressed, shell)
        self.action_group = gtk.ActionGroup('StopButtonActionGroup')
        self.action_group.add_action_with_accel(action, "<Ctrl>x")
        manager = shell.get_ui_manager()
        manager.insert_action_group(self.action_group, 0)
        toolbar = manager.get_widget("/ToolBar")
        toolbar.insert(action.create_tool_item(), 0)
        manager.ensure_update()
    
    def deactivate(self, shell):
        manager = shell.get_ui_manager()
        manager.remove_ui(self.UI_ID)
        manager.remove_action_group(self.action_group)
        manager.ensure_update()
        
    def button_pressed(self, event, shell):
        shell.props.shell_player.stop()
